<?php

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call(UserSeeds::class);
        $this->call(BranchSeeder::class);
        $this->call(HeadSeeder::class);
        $this->call(AccountSeeder::class);

        $this->call(PermissionSeeder::class);
        $this->call(TaxSeeder::class);
        $this->call(DepartmentSeeder::class);
        $this->call(DesignationSeeder::class);
        $this->call(ScaleSeeder::class);
        $this->call(AllowanceSeeder::class);
        $this->call(GenericTypeSeeder::class);
        $this->call(RoleSeeder::class);
    }
}
